clan::Service Class Reference - ClanLib SDK
Description: clan::Service Class Reference

Public Member Functions | Protected Member Functions | Friends | List of all members
clan::Service Class Referenceabstract
clanCore System

Service/daemon class. More...

`#include <service.h>`

## Public Member Functions
| Service (const std::string &service_name)
| Constructs a service object.
| ~Service ()
const std::string & | get_service_name () const
| Returns the service name.
int | main (int argc, char **argv)
| Process command line and run service.

## Protected Member Functions
virtual void | service_reload ()=0
| Called when the service is asked to reload its configuration.
virtual void | service_start (std::vector< std::string > &args)=0
| Called when the service is asked to start.
virtual void | service_stop ()=0
| Called when the service is asked to stop.

## Friends
class | Service_Impl

## Detailed Description

Service/daemon class.

## Constructor & Destructor Documentation

## ◆ Service()

clan::Service::Service | ( | const std::string & | service_name | ) |

Constructs a service object.

Referenced by service_reload().

## ◆ ~Service()

clan::Service::~Service | ( |  | ) |

## Member Function Documentation

## ◆ get_service_name()

const std::string & clan::Service::get_service_name | ( |  | ) | const

Returns the service name.

## ◆ main()

int clan::Service::main | ( | int | argc,
|  | char ** | argv )

Process command line and run service.

## ◆ service_reload()

virtual void clan::Service::service_reload | ( |  | ) |
| protectedpure virtual

Called when the service is asked to reload its configuration.

References Service().

## ◆ service_start()

virtual void clan::Service::service_start | ( | std::vector< std::string > & | args | ) |
| protectedpure virtual

Called when the service is asked to start.

## ◆ service_stop()

virtual void clan::Service::service_stop | ( |  | ) |
| protectedpure virtual

Called when the service is asked to stop.

## Friends And Related Symbol Documentation

## ◆ Service_Impl

friend class Service_Impl
| friend

References Service_Impl.

Referenced by Service_Impl.

The documentation for this class was generated from the following file:

- service.h